package bean;

import junit.framework.TestCase;

/**
 *
 * @author max
 */
import java.io.IOException;

import org.jboss.jsfunit.jsfsession.JSFClientSession;
import org.jboss.jsfunit.jsfsession.JSFServerSession;
import org.jboss.jsfunit.jsfsession.JSFSession;


public class PersonJUnitTest extends org.apache.cactus.ServletTestCase {
	  private JSFServerSession server;
	  private JSFClientSession client;
	  @Override
	  public void setUp() throws IOException{
	    JSFSession jsfSession = new JSFSession("/faces/index.xhtml");

	    this.client = jsfSession.getJSFClientSession();
	    //this.server = jsfSession.getJSFServerSession();

	  }
	  public void testOne() throws IOException {
		  this.client.setValue("personF:vorname", "Max");

		  assertEquals("Max", this.client.getElement("personF:vorname").getAttribute("value"));
	  }

          public void testTwo() throws IOException {
		  this.client.setValue("personF:name", "Felinger");

		  assertEquals("Vergessen", this.client.getElement("personF:name").getAttribute("value"));
	  }
}
